$Revision: 437 $
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;                                                              ;;
;; Copyright (C) KolibriOS team 2004-2007. All rights reserved. ;;
;; Distributed under terms of the GNU General Public License    ;;
;;                                                              ;;
;; KERNEL16.INC                                                 ;;
;;                                                              ;;
;; Included 16 bit kernel files for MenuetOS                    ;;
;;                                                              ;;
;; This file is kept separate as it will be easier to           ;;
;; maintain and compile with an automated SETUP program         ;;
;; in the future.                                               ;;
;;                                                              ;;
;; Copyright Ville Turjanmaa, see file COPYING for details.     ;;
;;                                                              ;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;% +include

;!!!
include "boot/bootstr.inc"     ; language-independent boot messages
if lang eq en
include "boot/booteng.inc"     ; english system boot messages
else if lang eq ru
include "boot/bootru.inc"      ; russian system boot messages
else if lang eq et
include "boot/bootet.inc"      ; estonian system boot messages
else
include "boot/bootge.inc"      ; german system boot messages
;!!!
end if
if lang eq et
include "boot/et.inc"          ; Estonian font
else if lang eq ru
include "boot/ru.inc"          ; Russian font
end if

;     16  ,   32 
bx_from_load:			;    -  ,    bx ; {SPraid}[13.03.2007]
.from_disc	db 0		; a,b,c,d - , r -  
.from_part	db 0,0		; # ... ,   . '1',   1

org $-0x10000

include "boot/bootcode.inc"    ; 16 bit system boot code

include "bus/pci/pci16.inc"

;% -include
